<?php
define('NTLCMS', 1);
$module = 'chr';
include ('system/start.php');
include ('system/function.php');
include ('system/antidos.php');
$page_title = 'Страница проверки кода - клик клуба ' . strtoupper($_SERVER['HTTP_HOST']);
include ('system/head.php');
echo '<div class="title"><b>'.razd.' Проверка кода</b></div>';
$error = null;
if (!isset($_SESSION['secured'])){
if (isset($_POST['code'])  && isset($_POST['submit'])){
if (empty($_POST['code'])){
$error.= 'Введите код с картинки!<br/>';
} elseif ($_SESSION['code'] != $_POST['code']){
$error.= 'Код с картинки введен не верно!<br/>';
}
if ($error){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> '.$error.'</center></div>';
} else {
$_SESSION['secured'] = time();
header ('location: /check.php');
}
}
echo '<div class="menu"><form action="'.URL.'/check.php" method="post">';
?>
<script>
function captcha_reload(){
document.getElementById('captcha').src = "/captcha.gif?" + Math.random();
}
</script>
<?php
echo '<img id="captcha" src="'.URL.'/captcha.gif" alt="captcha" /><br/>
<a href="javascript:captcha_reload();">Обновить картинку</a><br/>
<input type="text" name="code" maxlength="4"/><br/>';
echo '<input type="submit" name="submit" value="Перейти к ссылкам" /></form></div>';
} else {
echo '<div class="post"><center><i class="fa fa-check-circle fa-fw"></i> Тут всякая... </center></div>';
}
include ('system/foot.php');
?>